<template>
  <el-config-provider :locale="locale">
    <router-view v-slot="{ Component }">
      <component :is="Component" />
    </router-view>
  </el-config-provider>
</template>
<script setup lang="ts">
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import { initWxConfig } from '@/utils/wxUtil/initWXConfig'

const locale = ref(zhCn)

onMounted(() => {
  console.table(__CORE_LIB_VERSION__)
  if (import.meta.env.MODE === 'production') {
    setTimeout(() => {
      initWxConfig()
    }, 3000)
  }
})
</script>
